<main class="text-center">
  <form [formGroup]="signinForm" (ngSubmit)="onSubmit()">
    <img src="assets/vmdap.svg" alt="vmdap" height="114" width="144" class="mb-2">
    <h1 class="h3 mb-3 fw-normal">Please sign in</h1>
    <ngb-alert class="d-flex align-items-center" type="danger" *ngIf="isError" (closed)="isError = false">
      <fa-icon class="bi flex-shrink-0 me-2" width="24" height="24" role="img" [icon]="errorIcon">
      </fa-icon>
      <div>
        {{ errorMessage }}
      </div>
    </ngb-alert>
    <div class="form-floating">
      <input
        type="text"
        class="form-control"
        id="floatingLogin"
        placeholder="Login"
        formControlName="login"
        [ngClass]="{'is-invalid': loginIsInvalid, 'is-valid': loginIsValid}"
      >
      <label for="floatingLogin">Login</label>
    </div>
    <div class="form-floating">
      <input
        type="password"
        class="form-control"
        id="floatingPassword"
        placeholder="Password"
        formControlName="password"
        [ngClass]="{'is-invalid': passwordIsInvalid, 'is-valid': passwordIsValid}"
      >
      <label for="floatingPassword">Password</label>
    </div>
    <div class="checkbox mb-3">
      <label>
        <input type="checkbox" value="remember-me" formControlName="remember"> Remember me
      </label>
    </div>
    <button class="w-100 btn btn-lg btn-primary" type="submit">
      Sign in
    </button>
    <p class="mt-5 mb-3 text-muted">© 2021–2021</p>
  </form>
</main>
